# Axiom - A web app for decentralized file-sharing using IPFS and Estuary.tech API
This project is a part of Bachelor thesis `Building a Web-based Application for Decentralized File-sharing` by Petr Schmidt (University of Hradec Králové).

## Prerequisites
Before running the app, you have to obtain an API key from [Estuary.tech](https://estuary.tech/). This is essential for uploading files to the IPFS.

After obtaining the API key, add it to your `.env.local` file:
```env
ESTUARY_API_KEY=<Your API Key>
```

## Install dependencies

```bash
npm install
# or
yarn
```

## Run the app

```bash
npm run dev
# or
yarn dev
```

Open [http://localhost:3000/](http://localhost:3000/)
