import React, { InputHTMLAttributes } from 'react';
import cn from 'classnames';

type InputProps = InputHTMLAttributes<HTMLInputElement>;

export const Input: React.FC<InputProps> = ({ className, ...props }) => (
  <input
    className={cn(className, 'input input-bordered input-neutral w-full')}
    {...props}
  />
);
