import React, { ReactNode } from 'react';
import cn from 'classnames';

type ContainerProps = {
  className?: string;
  children?: ReactNode;
};

export const Container: React.FC<ContainerProps> = ({
  className,
  children,
}) => <div className={cn(className, 'max-w-3xl')}>{children}</div>;
